<!DOCTYPE html>
<html lang="pl" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>Zarzadzanie Zleceniami</title>
  <link rel="stylesheet" th:href="@{/css/style.css}" />
  <link rel="stylesheet"
        th:href="@{https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css}"/>
  <link rel="stylesheet" type="text/css" th:href="@{/webjars/bootstrap/css/bootstrap.min.css}"/>
</head>
<body>
<div class="content">

<div class="container-fluid text-center">
  <div class="m-2"><h3>Zarządzanie Zleceniami</h3></div>
  <div>
    <a th:href="@{'/logout'}" class="click-button logout">
      <i class="fa-solid fa-right-from-bracket"></i>
      Wyloguj
    </a>
  </div>
  <div>
    <a th:href="@{'/orders/costs'}" class="click-button primary">
      <i class="fa-solid fa-calculator"></i>
      Kalkulator
    </a>
  </div>
  <div>
    <div th:if="${message}" class="success-alert">
      [[${message}]]
    </div>

    <table class="table table-bordered">
      <thead style="background: rgba(255, 255, 255, 0.4)">
        <tr>
          <th style="vertical-align: middle;" >ID</th>
          <th style="max-width: 90px;">Branża
            <div>
              <script src="/filterOrders.js"></script>
              <button id="architekturaBtn" class="click-button indstr" onclick="filterOrders('Architektura')">Architektura</button>
              <button id="geodezjaBtn" class="click-button indstr" onclick="filterOrders('Geodezja')">Geodezja</button>
            </div>
          </th>
          <th>Rodzaj pracy</th>
          <th>Lokalizacja</th>
          <th>Klient</th>
          <th>Telefon</th>
          <th>Email</th>
          <th>Koszt</th>
          <th>Data</th>
          <th>
            <div>
              <a th:href="@{/orders/new}">
                <button class="click-button" style="padding: 5px 12px">
                <i class="fa-solid fa-plus"></i>
                  <br>
                  Nowe<br>Zlecenie
                </button>
              </a>
            </div>
          </th>
        </tr>
      </thead>
      <tbody>
      <th:block th:each="order : ${listOrders}">
        <tr>
          <td>[[${order.id}]]</td>
          <td>[[${order.industry}]]</td>
          <td>[[${order.workType}]]</td>
          <td>[[${order.location}]]</td>
          <td>[[${order.customer}]]</td>
          <td>[[${order.phone}]]</td>
          <td style="word-wrap: break-word; min-width: 150px;">[[${order.email}]]</td>
          <td th:text="${decimalFormat.format(order.cost)}"></td>
          <td th:text="${#dates.format(order.date, 'yyyy-MM-dd')}"></td>
          <td style="max-width: 100px;">
            <a th:href="@{'/orders/edit/' + ${order.id}}">
              <button class="click-button" >
              <i class="fa-solid fa-pen"></i>
                Edytuj
              </button>
            </a>
            <a th:href="@{'/orders/delete/' + ${order.id}}">
              <button style="padding: 5px 18px" class="click-button">
              <i class="fa-solid fa-trash-can"></i>
                Usuń
              </button>
            </a>
          </td>
        </tr>
      </th:block>
      </tbody>
    </table>
  </div>
</div>
</div>
</body>
</html>


